Subject: Pdksh compile using gnu-win32
From: [email-masked] (Steve Gillespie)

10 May 1997 22:04:17 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
X-X-Sender: [email-masked]
Original-Sender: [email-masked]

Will pdksh work under windows nt?  Is signal support in b18 adequate?  I
compiled pdksh-5.2.12 using b18 successfully except I get an error message
complaining of an invalid switch in sort in siglist.sh (if I remove the
+2n +0n in sort everything compiles and I get ksh.exe except when I run it
I have problems). Is there a problem with sort in gnu-win32?  Here's the
offending code from siglist.sh--

sed -n 's/{ QwErTy/{/p' < $out | awk '{print NR, $0}' | sort +2n +0n  |
    sed 's/^[0-9]* //' |
    awk 'BEGIN { last=0; nsigs=0; }
	{
	    if ($2 ~ /^[0-9][0-9]*$/ && $3 == ",") {
		n = $2;
		if (n > 0 && n != last) {
		    while (++last < n) {
			printf "\t{ %d , (char *) 0, `Signal %d` } ,\n",
last, last;
		    }
		    print;
		}
	    }
	}' |
    tr '`' '"' | grep -v '"DUMMY"'

I'd like to use ksh if possible so please give me any pointers.

Thanks

Steve G

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".